CREATE TABLE fnd_map_profile_cats (
    MAP_ID                VARCHAR2(256),
    S_TYPE                VARCHAR2(4)      NOT NULL,
    S_APPLICATION_ID      NUMBER(18, 0)    NOT NULL,
    S_CATEGORY_NAME       VARCHAR2(120)    NOT NULL,
    S_PROFILE_CAT_TYPE    VARCHAR2(4)      NOT NULL,
    MODULE_ID             VARCHAR2(128)    NOT NULL,
    T_CATEGORY_NAME       VARCHAR2(120)    NOT NULL,
    MAPPED_FLAG           VARCHAR2(4)      NOT NULL,
    MIGRATED_FLAG         VARCHAR2(4)      NOT NULL,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128)    NOT NULL,
    MAP_ID                VARCHAR2(256),
    S_TYPE                VARCHAR2(4)      NOT NULL,
    S_APPLICATION_ID      NUMBER(18, 0)    NOT NULL,
    S_CATEGORY_NAME       VARCHAR2(120)    NOT NULL,
    S_PROFILE_CAT_TYPE    VARCHAR2(4)      NOT NULL,
    MODULE_ID             VARCHAR2(128)    NOT NULL,
    T_CATEGORY_NAME       VARCHAR2(120)    NOT NULL,
    MAPPED_FLAG           VARCHAR2(4)      NOT NULL,
    MIGRATED_FLAG         VARCHAR2(4)      NOT NULL,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128)    NOT NULL,
    CONSTRAINT pk_fnd_map_profile_cats PRIMARY KEY (MAP_ID, MAP_ID)
);
